var app = getApp()
var that=null
Page( {
  data: {
    loadingHidden:false,
    nodataHidden:true,
    Start: 0,
    myfavorites:[]
  },

  onLoad: function() {
    that = this
    that.clearCache();//清本页缓存
    that.getlist(0);//第一次加载数据
    }, getlist: function (gp) {
  
      var userId = wx.getStorageSync("userId")
      var LoginId = wx.getStorageSync("LoginId")
      wx.request({
        url: app.globalData.apiurl + "/xapiajax.ashx", 
        data: {
          action:"getmyfavorite",
           userId:(!userId?"":userId),
           LoginId:(!LoginId?"":LoginId),
           Start:that.data.Start
        },
        method:"GET",
        dataType:"json", 
        header: { 
          "content-type": "application/json" // 默认值
        },
        success (res) {
              var tmpArr = null;
              tmpArr = that.data.myfavorites;
              tmpArr.push.apply(tmpArr,res.data.data);
              that.setData({
                  myfavorites: tmpArr,
                  Start: that.data.Start+res.data.data.length,
                  loadingHidden:true
              })
              
              if(gp==0||gp==1){
                  if(res.data.data.length==0){
                      that.setData({
                          nodataHidden:false
                      })
                  }
              }
              if(gp==1){
                //隐藏loading 提示框
                wx.hideLoading();
                //隐藏导航条加载动画
                wx.hideNavigationBarLoading();
                //停止下拉刷新
                wx.stopPullDownRefresh();
            }
          }
      })
  },
    
    // 下拉刷新
    onPullDownRefresh: function () {
       //在当前页面显示导航条加载动画
     wx.showNavigationBarLoading(); 
     //显示 loading 提示框。需主动调用 wx.hideLoading 才能关闭提示框
     wx.showLoading({
         title: '刷新中...',
     })
        that.clearCache();
        that.getlist(1);//第一次加载数据
    },

     // 页面上拉触底事件（上拉加载更多）
    onReachBottom: function () {
      that.setData({
        loadingHidden:false
        }); 
        that.getlist(2);//后台获取新数据并追加渲染
    },

 // 清缓存
 clearCache:function(){
    that.setData({
         myfavorites: [],
         Start: 0,
         loadingHidden:false
    }); 
},ondetail:function(e) {
      var id = e.currentTarget.dataset.id
      wx.navigateTo({  
        url: "../details/index?id=" + id
       })
    },delete:function(e) {
      wx.showModal({
        title: '删除提示',
        content: '此操作不可恢复！您确认要删除吗？',
        success (res0) {
          if (res0.confirm) {
      var id = e.currentTarget.dataset.id
      var userId = wx.getStorageSync("userId")
      var LoginId = wx.getStorageSync("LoginId")
      wx.request({
        url: app.globalData.apiurl + "/xapiajax.ashx", 
        data: { 
          action:"delfavorite",
           userId:(!userId?"":userId),
           LoginId:(!LoginId?"":LoginId), 
           id:id
        },
        method:"POST",
        dataType:"json", 
        header: { 
          "content-type": "application/x-www-form-urlencoded" // 默认值
        },
        success (res) { 
          if(res.data.status==1){
            wx.showModal({
              title: "操作提示",
              content: res.data.msg,
              showCancel:false,
              success (res1) {
                if (res1.confirm) {
             that.clearCache();
             that.getlist(0);
                }
              }
            })
          }else{
             wx.showToast({
              title: res.data.msg,
              icon: "none",
              duration: 3000
             })
          }
          }
      })
    }
  }
})
    }
})
